Bug 1401967 - Review Request: qcad - Powerful 2D CAD system
Summary: Review Request: qcad - Powerful 2D CAD system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-06 13:19 UTC by Antonio
Modified: 2017-02-07 04:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-31 06:49:37 UTC
manisandro: fedora-review+


Attachments (Terms of Use)
patch (2.45 KB, patch)
2016-12-18 20:29 UTC, Sandro Mani
no flags Details | Diff

Description Antonio 2016-12-06 13:19:34 UTC
Spec URL: https://sagitter.fedorapeople.org/qcad/qcad.spec
SRPM URL: https://sagitter.fedorapeople.org/qcad/qcad-3.15.6.1-1.fc25.src.rpm

Description:
QCAD is an application for computer aided drafting (CAD) in two dimensions (2D).
With QCAD you can create technical drawings such as plans for buildings,
interiors, mechanical parts or schematics and diagrams.
QCAD was designed with modularity, extensibility and portability in mind.
But what people notice most often about QCAD is its intuitive
user interface.
QCAD is an easy to use but powerful 2D CAD system for everyone.
You don't need any CAD experience to get started with QCAD immediately.

Fedora Account System Username: sagitter

This is a review request for un-retiring QCad on Fedora (https://admin.fedoraproject.org/pkgdb/package/rpms/qcad/). Now upstream provides an open-source community edition version of QCad including files with following licenses:

## Main license: GPLv3
##
## 3rd parties licenses: 
## dxflib: GPLv2+.
#  See src/3rdparty/dxflib/gpl-2.0greater.txt
## opennurbs: Public domain (neither copyright nor copyleft apply).
#  See src/3rdparty/opennurbs/readme.txt
## quazip: LPGLv2+.
#  See src/3rdparty/quazip/lgpl-2.1.txt
## spatialindexnavel:  MIT
#  See src/3rdparty/spatialindexnavel/COPYING
## stemmer: BSD 2-Clause License
#  See src/3rdparty/stemmer/bsd-2.txt
## Hershey fonts are released under the terms described in fonts/hershey.readme.
## Other fonts in directory 'fonts' are released as public domain (all copyright
## is waived).

I don't know if Hershey license can be accepted on Fedora.

Comment 1 John Florian 2016-12-06 14:10:12 UTC
Awesome!  I'd love to see this back in Fedora, I've been using it all along but that was a relative pain.  I was going to offer my spec, but it looks as though you already have one.  I'm still happy to share if you want to compare.

Comment 2 Kevin Kofler 2016-12-07 05:29:57 UTC
> I don't know if Hershey license can be accepted on Fedora.

Yes, it is accepted, as per:
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses_4

Comment 3 Tom "spot" Callaway 2016-12-13 20:56:58 UTC
Lifting FE-Legal, since as Kevin notes, the Hershey license is okay for Fedora.

Comment 4 Sandro Mani 2016-12-17 18:36:24 UTC
- Can the repo version of spatialindex, quazip and qt-labs-qtscriptgenerator be used instead of the bundled copies? If yes, please patch the build scripts to do so, otherwise add a comment justifying why and add the corresponding bundled virtual provides.

- Do not mix $ and % variables (i.e. $RPM_BUILD_ROOT -> %{buildroot})

- Could desktop and appdata be provided as separate sources for better SPEC legibility?

Comment 5 Antonio 2016-12-18 16:25:59 UTC
(In reply to Sandro Mani from comment #4)
> - Can the repo version of spatialindex, quazip and qt-labs-qtscriptgenerator
> be used instead of the bundled copies? If yes, please patch the build
> scripts to do so, otherwise add a comment justifying why and add the
> corresponding bundled virtual provides.

qcad does not compile with quazip from Fedora and, honestly, i don't know how to unbundle qt-labs-qtscriptgenerator.

> 
> - Do not mix $ and % variables (i.e. $RPM_BUILD_ROOT -> %{buildroot})

??

> 
> - Could desktop and appdata be provided as separate sources for better SPEC
> legibility?

Done.

Spec URL: https://sagitter.fedorapeople.org/qcad/qcad.spec
SRPM URL: https://sagitter.fedorapeople.org/qcad/qcad-3.15.6.1-2.fc25.src.rpm

Comment 6 Sandro Mani 2016-12-18 20:29:55 UTC
Created attachment 1233252 [details]
patch

I've tried a build against Qt5/quazip-qt5 and it built fine with the patch attached. The src/3rdparty/qt-labs-qtscriptgenerator-5.7.1/qt-labs-qtscriptgenerator-5.7.1.pro patch is probably better handled in the spec by generating a symlink according to the qt version in use. I also added $$shadowed to allow building outside the source tree, it is not strictly necessary though.

If you can confirm the program works, please build against Qt5 instead of the obsolete Qt4. 

And about the actual unbundling of qtscriptgenerator: it looks like the code has diverged a lot from the (seemingly pretty dead) upstream, so just add Provides: bundled(qtscriptgenerator) with a comment that the code has diverged. I'd also add bundled provides for dxflib, stemmer and opennurbs: even if they are not currently in Fedora, they might get added in the future.

What I meant with $RPM_BUILD_ROOT -> %{buildroot} is to replace all $RPM_BUILD_ROOT occurences with %{buildroot}. I thought fedora-review warned about this, but I see now that the warning is just to not mix $RPM_BUILD_ROOT and %{buildroot}. So up to you which variant you prefer.

Comment 7 Sandro Mani 2016-12-18 21:37:05 UTC
Oh and please remove license files / license comments related to unbundled libraries.

Comment 8 Antonio 2016-12-20 13:00:47 UTC
> If you can confirm the program works, please build against Qt5 instead of the 
> obsolete Qt4.

QCAD is affected by this bug when built with QT5: https://bugreports.qt.io/browse/QTBUG-52988
I returned to QT4 for now; thank you for the patch.

Spec URL: https://sagitter.fedorapeople.org/qcad/qcad.spec
SRPM URL: https://sagitter.fedorapeople.org/qcad/qcad-3.16.2.0-1.fc25.src.rpm

Comment 9 Sandro Mani 2016-12-20 17:10:46 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Why install to /usr/libexec?
- Typo:
  Provides: bundle(dxflib)
  Provides: bundle(opennurbs)
  Provides: bundle(stemmer)
- Comment ## Unbundle spatialindex libraries -> ## Unbundle spatialindex and quazip libraries
- Multiple rpmlint issues (see below)
- Should add version to bundled provides, see https://fedoraproject.org/wiki/Bundled_Libraries?rd=Packaging:Bundled_Libraries#Requirement_if_you_bundle
- Private shared libraries need to be filtered from Provides
- Missing QPL in license breakdown (src/3rdparty/qt-labs-qtscriptgenerator-4.7.4/*)



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "*No copyright* QPL", "*No copyright*
     Freetype", "GPL (v2 or later)", "GPL (v3 or later)", "*No copyright*
     GPL (v3)", "*No copyright* GPL", "QPL GPL (v3 or later)", "Unknown or
     generated", "CC by (v3.0) GPL (v3)", "zlib/libpng", "MIT/X11 (BSD
     like)", "LGPL", "GPL (v3) LGPL (v2.1 or v3)", "LGPL (v2.1)", "BSD (3
     clause)", "BSD (2 clause)", "LGPL (v2.1 or later)", "*No copyright*
     MIT/X11 (BSD like)", "GPL (v2.1) LGPL (v2.1)". 26019 files have
     unknown license. Detailed output of licensecheck in
     /home/sandro/Desktop/1401967-qcad/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in qcad
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qcad-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qcad-3.16.2.0-1.fc26.x86_64.rpm
          qcad-debuginfo-3.16.2.0-1.fc26.x86_64.rpm
          qcad-3.16.2.0-1.fc26.src.rpm
qcad.x86_64: W: spelling-error %description -l en_US modularity -> molecularity
qcad.x86_64: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
qcad.x86_64: E: call-to-mktemp /usr/libexec/qcad/libspatialindexnavel.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/codecs/libqtwcodecs.so /usr/lib64/qt4/plugins/codecs/libqtwcodecs.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_sql.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_core.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqgif.so /usr/lib64/qt4/plugins/imageformats/libqgif.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqtga.so /usr/lib64/qt4/plugins/imageformats/libqtga.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/designer/libqcadcustomwidgets.so 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqmng.so /usr/lib64/qt4/plugins/imageformats/libqmng.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqsvg.so /usr/lib64/qt4/plugins/imageformats/libqsvg.so
qcad.x86_64: E: zero-length /usr/libexec/qcad/scripts/File/Quit/Quit.js
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/designer/libqwebview.so /usr/lib64/qt4/plugins/designer/libqwebview.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_xmlpatterns.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/codecs/libqcncodecs.so /usr/lib64/qt4/plugins/codecs/libqcncodecs.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_opengl.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/libqcaddxf.so 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/libqcadtransactionlistener.so 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_svg.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/libqcadexample.so 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/sqldrivers/libqsqlite.so /usr/lib64/qt4/plugins/sqldrivers/libqsqlite.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqjpeg.so /usr/lib64/qt4/plugins/imageformats/libqjpeg.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/codecs/libqjpcodecs.so /usr/lib64/qt4/plugins/codecs/libqjpcodecs.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/script/script /usr/lib64/qt4/plugins/script
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqtiff.so /usr/lib64/qt4/plugins/imageformats/libqtiff.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqico.so /usr/lib64/qt4/plugins/imageformats/libqico.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_network.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/codecs/libqkrcodecs.so /usr/lib64/qt4/plugins/codecs/libqkrcodecs.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_webkit.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_uitools.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_gui.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_xml.so.1.0.0 775
qcad.src: W: spelling-error %description -l en_US modularity -> molecularity
qcad.src: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
qcad.src:59: W: unversioned-explicit-provides bundled(qtscriptgenerator)
qcad.src:60: W: unversioned-explicit-provides bundle(dxflib)
qcad.src:61: W: unversioned-explicit-provides bundle(opennurbs)
qcad.src:62: W: unversioned-explicit-provides bundle(stemmer)
3 packages and 0 specfiles checked; 16 errors, 22 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qcad-debuginfo-3.16.2.0-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
qcad.x86_64: W: spelling-error %description -l en_US modularity -> molecularity
qcad.x86_64: W: spelling-error %description -l en_US extensibility -> sensibility, extensible
qcad.x86_64: E: call-to-mktemp /usr/libexec/qcad/libspatialindexnavel.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqgif.so /usr/lib64/qt4/plugins/imageformats/libqgif.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_svg.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_sql.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/codecs/libqkrcodecs.so /usr/lib64/qt4/plugins/codecs/libqkrcodecs.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_opengl.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/codecs/libqcncodecs.so /usr/lib64/qt4/plugins/codecs/libqcncodecs.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/libqcadexample.so 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_uitools.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqjpeg.so /usr/lib64/qt4/plugins/imageformats/libqjpeg.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/sqldrivers/libqsqlite.so /usr/lib64/qt4/plugins/sqldrivers/libqsqlite.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/libqcadtransactionlistener.so 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_network.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/codecs/libqjpcodecs.so /usr/lib64/qt4/plugins/codecs/libqjpcodecs.so
qcad.x86_64: E: zero-length /usr/libexec/qcad/scripts/File/Quit/Quit.js
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqtga.so /usr/lib64/qt4/plugins/imageformats/libqtga.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqtiff.so /usr/lib64/qt4/plugins/imageformats/libqtiff.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqmng.so /usr/lib64/qt4/plugins/imageformats/libqmng.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_core.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/designer/libqwebview.so /usr/lib64/qt4/plugins/designer/libqwebview.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_gui.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/designer/libqcadcustomwidgets.so 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqico.so /usr/lib64/qt4/plugins/imageformats/libqico.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_xml.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_webkit.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/codecs/libqtwcodecs.so /usr/lib64/qt4/plugins/codecs/libqtwcodecs.so
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/script/script /usr/lib64/qt4/plugins/script
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/script/libqcadqtscript_xmlpatterns.so.1.0.0 775
qcad.x86_64: W: dangling-symlink /usr/libexec/qcad/plugins/imageformats/libqsvg.so /usr/lib64/qt4/plugins/imageformats/libqsvg.so
qcad.x86_64: E: non-standard-executable-perm /usr/libexec/qcad/plugins/libqcaddxf.so 775
2 packages and 0 specfiles checked; 16 errors, 16 warnings.



Requires
--------
qcad (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtScript.so.4()(64bit)
    libQtScriptTools.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libQtXmlPatterns.so.4()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqcadcore.so()(64bit)
    libqcadecmaapi.so()(64bit)
    libqcadentity.so()(64bit)
    libqcadgrid.so()(64bit)
    libqcadgui.so()(64bit)
    libqcadoperations.so()(64bit)
    libqcadqtscript_core.so.1()(64bit)
    libqcadqtscript_gui.so.1()(64bit)
    libqcadqtscript_network.so.1()(64bit)
    libqcadqtscript_opengl.so.1()(64bit)
    libqcadqtscript_sql.so.1()(64bit)
    libqcadqtscript_svg.so.1()(64bit)
    libqcadqtscript_uitools.so.1()(64bit)
    libqcadqtscript_webkit.so.1()(64bit)
    libqcadqtscript_xml.so.1()(64bit)
    libqcadqtscript_xmlpatterns.so.1()(64bit)
    libqcadsnap.so()(64bit)
    libqcadspatialindex.so()(64bit)
    libqcadstemmer.so()(64bit)
    libqcadzip.so()(64bit)
    libquazip.so.1()(64bit)
    libspatialindexnavel.so()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    qgnomeplatform
    rtld(GNU_HASH)
    wise2

qcad-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
qcad:
    appdata()
    appdata(qcad.appdata.xml)
    application()
    application(qcad.desktop)
    bundle(dxflib)
    bundle(opennurbs)
    bundle(stemmer)
    bundled(qtscriptgenerator)
    libqcadcore.so()(64bit)
    libqcadcustomwidgets.so()(64bit)
    libqcaddxf.so()(64bit)
    libqcadecmaapi.so()(64bit)
    libqcadentity.so()(64bit)
    libqcadexample.so()(64bit)
    libqcadgrid.so()(64bit)
    libqcadgui.so()(64bit)
    libqcadoperations.so()(64bit)
    libqcadqtscript_core.so.1()(64bit)
    libqcadqtscript_gui.so.1()(64bit)
    libqcadqtscript_network.so.1()(64bit)
    libqcadqtscript_opengl.so.1()(64bit)
    libqcadqtscript_sql.so.1()(64bit)
    libqcadqtscript_svg.so.1()(64bit)
    libqcadqtscript_uitools.so.1()(64bit)
    libqcadqtscript_webkit.so.1()(64bit)
    libqcadqtscript_xml.so.1()(64bit)
    libqcadqtscript_xmlpatterns.so.1()(64bit)
    libqcadsnap.so()(64bit)
    libqcadspatialindex.so()(64bit)
    libqcadstemmer.so()(64bit)
    libqcadtransactionlistener.so()(64bit)
    libqcadzip.so()(64bit)
    libspatialindexnavel.so()(64bit)
    qcad
    qcad(x86-64)

qcad-debuginfo:
    qcad-debuginfo
    qcad-debuginfo(x86-64)



Unversioned so-files
--------------------
qcad: /usr/libexec/qcad/libqcadcore.so
qcad: /usr/libexec/qcad/libqcadecmaapi.so
qcad: /usr/libexec/qcad/libqcadentity.so
qcad: /usr/libexec/qcad/libqcadgrid.so
qcad: /usr/libexec/qcad/libqcadgui.so
qcad: /usr/libexec/qcad/libqcadoperations.so
qcad: /usr/libexec/qcad/libqcadsnap.so
qcad: /usr/libexec/qcad/libqcadspatialindex.so
qcad: /usr/libexec/qcad/libqcadstemmer.so
qcad: /usr/libexec/qcad/libqcadzip.so
qcad: /usr/libexec/qcad/libspatialindexnavel.so
qcad: /usr/libexec/qcad/plugins/codecs/libqcncodecs.so
qcad: /usr/libexec/qcad/plugins/codecs/libqjpcodecs.so
qcad: /usr/libexec/qcad/plugins/codecs/libqkrcodecs.so
qcad: /usr/libexec/qcad/plugins/codecs/libqtwcodecs.so
qcad: /usr/libexec/qcad/plugins/designer/libqcadcustomwidgets.so
qcad: /usr/libexec/qcad/plugins/designer/libqwebview.so
qcad: /usr/libexec/qcad/plugins/imageformats/libqgif.so
qcad: /usr/libexec/qcad/plugins/imageformats/libqico.so
qcad: /usr/libexec/qcad/plugins/imageformats/libqjpeg.so
qcad: /usr/libexec/qcad/plugins/imageformats/libqmng.so
qcad: /usr/libexec/qcad/plugins/imageformats/libqsvg.so
qcad: /usr/libexec/qcad/plugins/imageformats/libqtga.so
qcad: /usr/libexec/qcad/plugins/imageformats/libqtiff.so
qcad: /usr/libexec/qcad/plugins/libqcaddxf.so
qcad: /usr/libexec/qcad/plugins/libqcadexample.so
qcad: /usr/libexec/qcad/plugins/libqcadtransactionlistener.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_core.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_gui.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_network.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_opengl.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_sql.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_svg.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_uitools.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_webkit.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_xml.so
qcad: /usr/libexec/qcad/plugins/script/libqcadqtscript_xmlpatterns.so
qcad: /usr/libexec/qcad/plugins/sqldrivers/libqsqlite.so

Source checksums
----------------
https://github.com/qcad/qcad/archive/v3.16.2.0.tar.gz#/qcad-3.16.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 180ccadf18c12f81ae5218fc41e234a25aa0f7684a7a6f54bc08b027f0c9f4a8
  CHECKSUM(SHA256) upstream package : 180ccadf18c12f81ae5218fc41e234a25aa0f7684a7a6f54bc08b027f0c9f4a8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1401967
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Antonio 2016-12-20 17:56:47 UTC
(In reply to Sandro Mani from comment #9)
> Package Review
> ==============
> 
> Issues:
> =======
> - Why install to /usr/libexec?

QCAD needs all files in a main working directory that cannot be /usr/share.

> - Missing QPL in license breakdown
> (src/3rdparty/qt-labs-qtscriptgenerator-4.7.4/*)
> 

I don't see any license file inside src/3rdparty/qt-labs-qtscriptgenerator-*

Comment 11 Sandro Mani 2016-12-20 18:00:23 UTC
I just see that I somehow cut of my point about libexec in my above comment... What I meant was: other applications which require a "dumping ground folder", i.e. firefox and libreoffice, install to %{_libdir}/%{name}. I think this is more correct and qcad should do the same.

QPL: uh sorry, scratch that, it is a licensecheck misdetection (it reported what is below, but indeed there are no actual license headers there).

*No copyright* QPL
------------------
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-4.7.4/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QPlainTextDocumentLayout.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-4.7.4/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QPlainTextEdit.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-4.7.4/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QPlastiqueStyle.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-4.8.7/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QPlainTextDocumentLayout.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-4.8.7/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QPlainTextEdit.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-4.8.7/generated_cpp/com_trolltech_qt_gui/qtscriptshell_QPlastiqueStyle.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/generated_cpp/com_trolltech_qt_widgets/qtscriptshell_QPlainTextDocumentLayout.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/generated_cpp/com_trolltech_qt_widgets/qtscriptshell_QPlainTextEdit.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_core/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_gui/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_multimedia/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_network/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_opengl/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_printsupport/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_sql/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_svg/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_uitools/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_webkit/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_webkitwidgets/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_widgets/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_xml/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.4.2/qtbindings/qtscript_xmlpatterns/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/generated_cpp/com_trolltech_qt_widgets/qtscriptshell_QPlainTextDocumentLayout.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/generated_cpp/com_trolltech_qt_widgets/qtscriptshell_QPlainTextEdit.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_core/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_gui/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_multimedia/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_network/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_opengl/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_printsupport/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_sql/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_svg/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_uitools/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_webkit/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_webkitwidgets/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_widgets/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_xml/plugin.h
qcad-3.16.2.0/src/3rdparty/qt-labs-qtscriptgenerator-5.5.0/qtbindings/qtscript_xmlpatterns/plugin.h
qcad-3.16.2.0/src/io/dxf/RDxfPlugin.h
qcad-3.16.2.0/support/ecmagenerator/src/srcml/RDxfPlugin.srcml
qcad-3.16.2.0/support/examples/exampleplugin/RExamplePlugin.h
qcad-3.16.2.0/support/examples/transactionlistener/TransactionListenerPlugin.h

Comment 12 Antonio 2016-12-21 17:27:17 UTC
Spec URL: https://sagitter.fedorapeople.org/qcad/qcad.spec
SRPM URL: https://sagitter.fedorapeople.org/qcad/qcad-3.16.2.0-2.fc25.src.rpm

- Main directory moved under libdir directory
- Filtering of private libraries

Comment 13 Sandro Mani 2016-12-21 18:17:44 UTC
Approved, but please fix these on import:

qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_gui.so
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_uitools.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_uitools.so
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_xmlpatterns.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_svg.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_xml.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_opengl.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_xml.so
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_webkit.so.1.0.0 775
qcad.x86_64: E: non-standard-executable-perm /usr/lib64/qcad/plugins/script/libqcadqtscript_gui.so.1.0.0 775

Comment 14 Antonio 2016-12-21 18:28:30 UTC
Thank you.

Comment 15 Sandro Mani 2016-12-21 20:28:02 UTC
I think you can also drop

 QMAKE_CFLAGS_RELEASE="%{_qt4_optflags} -I%{_includedir}/quazip" \
 QMAKE_CXXFLAGS_RELEASE="%{_qt4_optflags} -I%{_includedir}/quazip" \

since -I%{_includedir}/quazip shouldn't be needed anymore with the unbundle patch.

Comment 16 Fedora Update System 2016-12-22 13:36:52 UTC
qcad-3.16.2.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-74b582dd78

Comment 17 Fedora Update System 2016-12-22 13:37:02 UTC
qcad-3.16.2.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4700215a37

Comment 18 Fedora Update System 2016-12-23 14:52:42 UTC
qcad-3.16.2.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-74b582dd78

Comment 19 Fedora Update System 2016-12-23 15:21:54 UTC
qcad-3.16.2.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4700215a37

Comment 20 herb- 2016-12-29 10:07:57 UTC
/usr/lib64/qcad/linetypes/ folder with content is missing.
getting the files manually from source works for me

Comment 21 Fedora Update System 2016-12-31 06:49:37 UTC
qcad-3.16.2.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-12-31 08:23:28 UTC
qcad-3.16.2.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.